        
        SUBROUTINE CHARGEL(UEL,UDEL,UELB,UDELB,UELB1,UDELB1)
C fills parameters UEL,UDEL with either UELB,UDELB or UELB1,UDELB1
        REAL*8 UEL,UDEL
        REAL UELB,UDELB,UELB1,UDELB1
*
        IF (UELB.NE.0.) THEN
           UEL=UELB
           UDEL=UDELB
        ELSE
           UEL=UELB1
           UDEL=UDELB1
        ENDIF
        END
